Page MenuHomePhabricator

nodemap: add a optional `nodemap_add_full` method on indexes
ClosedPublic

Authored by marmoute on Jan 13 2020, 10:07 AM.

Details

Summary

This method can be used to obtains persistent data for a full nodemap. The end
goal is for some index implementation to managed the nodemap serialization them
selves (eg: the rust implementation)

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

marmoute created this revision.Jan 13 2020, 10:07 AM
marmoute updated this revision to Diff 19295.Jan 15 2020, 9:54 AM
marmoute edited the summary of this revision. (Show Details)Jan 31 2020, 10:28 AM
marmoute updated this revision to Diff 19757.
marmoute updated this revision to Diff 19786.Jan 31 2020, 5:58 PM
marmoute updated this revision to Diff 19830.Feb 2 2020, 3:17 AM

small doc update on .#s[1]

marmoute updated this revision to Diff 19889.Feb 4 2020, 7:24 PM

rebase to latest default

This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.